Bug 857280 - should have Obsoletes and Provides lines for older typing-boosters
should have Obsoletes and Provides lines for older typing-boosters
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: anish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 21:59 EDT by Akira TAGOH
Modified: 2015-04-12 19:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 06:23:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2012-09-13 21:59:41 EDT
Description of problem:
ibus-typing-booster is going to replace ibus-hunspell-table, english-typing-booster, gujarati-typing-booster, hindi-typing-booster, marathi-typing-booster and tamil-typing-booster but it doesn't contain any Obsoletes and Provides lines in the spec file. this causes a trouble on upgrading from f17.

https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

Version-Release number of selected component (if applicable):
ibus-typing-booster-0.0.9-1.fc18

Additional info:
FWIW english-typing-booster and ibus-hunspell-table hasn't yet proceeded the deprecated package process. see https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers
Comment 1 Akira TAGOH 2012-09-26 08:14:26 EDT
ibus-european-table too?
Comment 2 anish 2012-09-26 08:19:46 EDT
(In reply to comment #1)
> ibus-european-table too?

yes ibus-european-table,ibus-indic-table as well
Comment 3 Fedora Update System 2012-09-28 09:40:10 EDT
ibus-typing-booster-0.0.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.10-1.fc18
Comment 4 Fedora Update System 2012-09-28 09:48:14 EDT
ibus-typing-booster-0.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.10-1.fc17
Comment 5 Fedora Update System 2012-09-28 09:54:42 EDT
ibus-typing-booster-0.0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.10-1.fc16
Comment 6 Fedora Update System 2012-09-28 13:19:40 EDT
Package ibus-typing-booster-0.0.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-typing-booster-0.0.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14999/ibus-typing-booster-0.0.10-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-10-23 02:20:44 EDT
ibus-typing-booster-0.0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.15-1.fc17
Comment 8 Fedora Update System 2012-10-23 02:23:40 EDT
ibus-typing-booster-0.0.15-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.15-1.fc18
Comment 9 Fedora Update System 2012-10-23 02:36:37 EDT
ibus-typing-booster-0.0.15-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.15-1.fc16
Comment 10 Fedora Update System 2012-10-25 02:14:24 EDT
ibus-typing-booster-0.0.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.16-1.fc18
Comment 11 Fedora Update System 2012-10-25 02:31:35 EDT
ibus-typing-booster-0.0.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.16-1.fc17
Comment 12 Fedora Update System 2012-10-25 02:47:33 EDT
ibus-typing-booster-0.0.16-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.16-1.fc16
Comment 13 Fedora Update System 2012-10-31 13:28:05 EDT
ibus-typing-booster-0.0.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.18-1.fc18
Comment 14 Fedora Update System 2012-10-31 13:40:52 EDT
ibus-typing-booster-0.0.18-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.18-1.fc16
Comment 15 Fedora Update System 2012-10-31 14:33:26 EDT
ibus-typing-booster-0.0.18-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.18-1.fc17
Comment 16 Fedora Update System 2012-11-08 11:04:45 EST
ibus-typing-booster-0.0.20-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.20-1.fc16
Comment 17 Fedora Update System 2012-11-08 11:23:50 EST
ibus-typing-booster-0.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.20-1.fc17
Comment 18 Fedora Update System 2012-11-08 11:41:44 EST
ibus-typing-booster-0.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.20-1.fc18
Comment 19 Fedora Update System 2012-11-12 08:47:36 EST
ibus-typing-booster-0.0.21-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.21-1.fc18
Comment 20 Fedora Update System 2012-11-12 09:08:51 EST
ibus-typing-booster-0.0.21-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.21-1.fc17
Comment 21 Fedora Update System 2012-11-12 09:23:42 EST
ibus-typing-booster-0.0.21-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.21-1.fc16
Comment 22 Fedora Update System 2012-11-15 02:12:00 EST
ibus-typing-booster-0.0.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.22-1.fc18
Comment 23 Fedora Update System 2012-11-15 02:40:42 EST
ibus-typing-booster-0.0.22-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.22-1.fc16
Comment 24 Fedora Update System 2012-11-15 02:58:53 EST
ibus-typing-booster-0.0.22-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.22-1.fc17
Comment 25 Fedora Update System 2012-11-23 09:00:00 EST
ibus-typing-booster-0.0.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.23-1.fc18
Comment 26 Fedora Update System 2012-11-23 10:32:48 EST
ibus-typing-booster-0.0.23-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.23-1.fc16
Comment 27 Fedora Update System 2012-11-23 11:16:46 EST
ibus-typing-booster-0.0.23-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.23-1.fc17
Comment 28 Fedora Update System 2012-11-28 06:23:14 EST
ibus-typing-booster-0.0.22-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2012-11-28 06:34:36 EST
ibus-typing-booster-0.0.22-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2012-11-29 01:45:56 EST
ibus-typing-booster-0.0.22-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2012-12-05 01:55:21 EST
ibus-typing-booster-0.0.23-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2012-12-05 01:59:30 EST
ibus-typing-booster-0.0.23-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2012-12-05 02:14:19 EST
ibus-typing-booster-0.0.23-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.